// This File has been authored by AllTheMods Staff, or a Community contributor for use in AllTheMods - AllTheMods 10.
// As all AllTheMods packs are licensed under All Rights Reserved, this file is not allowed to be used in any public packs not released by the AllTheMods Team, without explicit permission.

ItemEvents.modifyTooltips(allthemods => {

    //AllTheModium

    allthemods.add(['allthemodium:allthemodium_ore', 'allthemodium:allthemodium_slate_ore'],[
        Text.of('§7至少需要下界合金镐才能开采'),
        Text.of('§6生成于深暗之域生物群系,且总是暴露在空气中生成'),
        Text.of('§6也生成于采矿维度的深板岩层')
    ])
    allthemods.add(['allthemodium:vibranium_ore', 'allthemodium:other_vibranium_ore'],[
        Text.of('§7至少需要Allthemodium镐才能开采'),
        Text.of('§b生成于任何下界生物群系'),
        Text.of('§b也生成于异界')
    ])
    allthemods.add('allthemodium:unobtainium_ore',[
        Text.of('§7至少需要振金镐才能开采'),
        Text.of('§d生成于末地高地')
    ])

    allthemods.add('kubejs:silent_allthemodium_plate',[
        Text.of("§7§o它现在……不那么健谈了")
    ])
    allthemods.add('kubejs:silent_vibranium_plate',[
        Text.of("§7§o它现在……不那么健谈了")
    ])
    allthemods.add('kubejs:silent_unobtainium_plate',[
        Text.of("§7§o它现在……不那么健谈了")
    ])

    allthemods.add('allthemodium:allthemodium_ingot',[
        Text.of("§7§o这不是你要找的锭"),
        Text.of("§6寻找[寂静Allthemodium板]")
    ])
    allthemods.add('allthemodium:vibranium_ingot',[
        Text.of("§7§o这不是你要找的锭"),
        Text.of("§6寻找[寂静振金板]")
    ])
    allthemods.add('allthemodium:unobtainium_ingot',[
        Text.of("§7§o这不是你要找的锭"),
        Text.of("§6寻找[寂静Unobtainium板]")
    ])


    allthemods.add('allthemodium:allthemodium_upgrade_smithing_template',[
        Text.of('§6在古代城市的可疑黏土中找到')
    ])
    allthemods.add('allthemodium:vibranium_upgrade_smithing_template',[
        Text.of('§b在堡垒遗迹的可疑灵魂沙中找到')
    ])
    allthemods.add('allthemodium:unobtainium_upgrade_smithing_template',[
        Text.of('§d由异界地牢图书馆中的试炼刷怪笼掉落')
    ])

    //Forbidden Arcanus
    allthemods.add('forbidden_arcanus:hephaestus_forge_tier_1',[
        Text.of("§c§l按住Shift右键点击§r§c§c§l锻造台§r§c,使用§lMundabitur粉尘"),
        Text.of("§c█ = 镀金錾制磨制暗石,顶部放置锻造台"),
        Text.of("§7█ = 磨制暗石"),
        Text.of("§5█§7 = 镀金錾制磨制暗石"),
        Text.of("§6█§7 = 錾制奥术磨制暗石"),
        Text.of("§0███§7███§0███"),
        Text.of("§0█§7███§5█§7███§0█"),
        Text.of("§0█§7█§5█§7███§5█§7█§0█"),
        Text.of("§7████§6█§7████"),
        Text.of("§7█§5█§7█§6█§c█§6█§7█§5█§7█"),
        Text.of("§7████§6█§7████"),
        Text.of("§0█§7█§5█§7███§5█§7█§0█"),
        Text.of("§0█§7███§5█§7███§0█"),
        Text.of("§0███§7███§0███")

    ])
    allthemods.add('forbidden_arcanus:clibano_core',[
        Text.of("§c§l按住Shift右键点击§r§c§c§lClibano核心§r§c,使用§c§lMundabitur粉尘"),
        Text.of("§5█§7 = 磨制暗石"),
        Text.of("§7█ = 磨制暗石砖"),
        Text.of("§6█§7 = Clibano核心"),
        Text.of("§7从右到左 -> 从下到上"),
        Text.of("§5█§7█§5█§0█§7███§0█§5█§7█§5█"),
        Text.of("§7███§0█§7█§0█§7█§0█§7███"),
        Text.of("§5█§7█§5█§0█§7█§6█§7█§0█§5█§7█§5█"),
    ])
    allthemods.add('forbidden_arcanus:growing_edelwood',[
        Text.of("§4可从流浪商人处获得"),
        Text.of("§4或对橡树树苗使用腐化之魂"),
    ])
    allthemods.add('forbidden_arcanus:magnetized_darkstone_pedestal',[
        Text.of("§7在暗石基座上使用铁磁混合物"),
    ])
    allthemods.add('forbidden_arcanus:soul',[
        Text.of("§7对灵魂沙使用灵魂提取器"),
        Text.of("§7在世界中罕见生成"),
    ])
    allthemods.add('forbidden_arcanus:enchanted_soul',[
        Text.of("§7对普通灵魂使用喷溅型奥瑞尔瓶")
    ])
    allthemods.add('forbidden_arcanus:corrupt_soul',[
        Text.of("§7击杀生物时罕见生成")
    ])
    allthemods.add('forbidden_arcanus:blood_test_tube',[
        Text.of("§7副手持试管,然后击杀生物")
    ])
    allthemods.add('forbidden_arcanus:xpetrified_orb',[
        Text.of("§7只能通过黑洞获得"),
        Text.of("§7将暗物质与腐化粉尘一起扔在地上以制造黑洞"),
        Text.of("§7喂它足够的经验值,使其吐出Xpetrified Orb")
    ])
    allthemods.add('forbidden_arcanus:dragon_scale',[
        Text.of("§7由末影龙掉落")
    ])
    allthemods.add('forbidden_arcanus:stella_arcanum',[
        Text.of("§7在Y|6n7p|44至Y=42之间极其罕见地生成"),
        Text.of("§c开采时会爆炸!")
    ])
    allthemods.add(/forbidden_arcanus:runic_[sd]/,[
        Text.of("§7生成于世界底部,最高至Y=2"),
    ])
    allthemods.add(['forbidden_arcanus:arcane_crystal_ore', 'forbidden_arcanus:deepslate_arcane_crystal_ore'],[
        Text.of("§7在Y|6n7p|40至Y=14之间极其罕见地生成"),
        Text.of("§7最常见于Y|6n7p|13")
    ])
    allthemods.add('forbidden_arcanus:artisan_relic',[
        Text.of("§a在盔甲匠、工具匠或武器匠村民建筑中找到"),
    ])
    allthemods.add('forbidden_arcanus:crescent_moon',[
        Text.of("§c无法获得"),
    ])
    allthemods.add('forbidden_arcanus:crimson_stone',[
        Text.of("§a在掠夺者前哨站中找到"),
    ])
    allthemods.add('forbidden_arcanus:soul_crimson_stone',[
        Text.of("§c使用1次后会变为绯红石"),
    ])
    allthemods.add('forbidden_arcanus:elementarium',[
        Text.of("§a在丛林神庙、沙漠金字塔和海底废墟中找到"),
    ])
    allthemods.add('forbidden_arcanus:divine_pact',[
        Text.of("§a在异界的村庄和金字塔中找到"),
    ])
    allthemods.add('forbidden_arcanus:maledictus_pact',[
        Text.of("§a在宝藏堡垒中找到"),
    ])

    //Mystical Agriculture
    allthemods.add(/mysticalagriculture:.*watering_can/,[
        Text.of("§c对假玩家禁用"),
        Text.of("§c(例如模块化路由器、点击器等方块)")
    ])

    allthemods.add('toolbelt:belt', [
        Text.of("§7有专属的放置槽位"),
        Text.of("§7Check your Keybinds for \"Open Belt Slot Inventory\"")
    ])

	//Easy Villagers
    allthemods.add(['easy_villagers:trader', 'easy_villagers:auto_trader'], [
        Text.of("§a右键点击工作站点方块将其放入,并允许交易补货")
    ])

	//Hyperbox
    if (Platform.isLoaded("hyperbox")) {
        allthemods.add('hyperbox:hyperbox', [
            Text.of("§a此模组将在6.0+版本移除")
        ])
    }

    //Eternal Starlight
    if (Platform.isLoaded("eternal_starlight")) {
        allthemods.add('eternal_starlight:loot_bag[eternal_starlight:loot_table="eternal_starlight:bosses/lunar_monstrosity"]', [
            Text.of('这个战利品袋来自\"月之巨兽\".')
        ])
    }

    if (Platform.isLoaded('modular_machinery_reborn')) {
        allthemods.add('modular_machinery_reborn:controller[modular_machinery_reborn:machine="atm:runic_crucible"]', [
            Text.of('§c警告,此机器已过时.'),
            Text.of('使用工作台将其转换为新版本.')
        ])
        allthemods.add('modular_machinery_reborn:controller[modular_machinery_reborn:machine="atm:runic_star_altar"]', [
            Text.of('§c警告,此机器已过时.'),
            Text.of('使用工作台将其转换为新版本.')
        ])
        allthemods.add('modular_machinery_reborn:controller[modular_machinery_reborn:machine="atm:runic_enchanter"]', [
            Text.of('§c警告,此机器已过时.'),
            Text.of('使用工作台将其转换为新版本.')
        ])
        allthemods.add('modular_machinery_reborn:controller[modular_machinery_reborn:machine="atm:auto_hepheastus_forge"]', [
            Text.of('§c警告,此机器已过时.'),
            Text.of('使用工作台将其转换为新版本.')
        ])
    }
	// Apotheosis Gateway Warning
	allthemods.add([
	'gateways:gate_pearl[gateways:gateway="apotheosis:tiered/frontier"]',
	'gateways:gate_pearl[gateways:gateway="apotheosis:tiered/ascent"]',
	'gateways:gate_pearl[gateways:gateway="apotheosis:tiered/summit"]',
	'gateways:gate_pearl[gateways:gateway="apotheosis:tiered/pinnacle"]'],
	[
		Text.of("§c警告:在第3波时,若处于以下维度之外将会内爆:"),
		Text.of("§c主世界、下界、末地、暮色森林")
	])
	// Botany Pot Sculk
	allthemods.add([
	"minecraft:sculk",
	"minecraft:sculk_sensor",
	"minecraft:sculk_catalyst",
	"minecraft:sculk_vein",
	"minecraft:sculk_shrieker",
	"deeperdarker:gloomy_sculk",
	"deeperdarker:gloomy_grass",
	"deeperdarker:glowing_flowers",
	"deeperdarker:sculk_vines",
	"deeperdarker:glowing_roots",
	"deeperdarker:bloom_berries",
	"deeperdarker:glowing_grass",
	"deeperdarker:sculk_tendrils"],
	[
		Text.of("§9在植物盆中:需要带有精准采集附魔的锄才能收获")
	])
})


// This File has been authored by AllTheMods Staff, or a Community contributor for use in AllTheMods - AllTheMods 10.
// As all AllTheMods packs are licensed under All Rights Reserved, this file is not allowed to be used in any public packs not released by the AllTheMods Team, without explicit permission.
